{% extends "base.html" %}
{% load crispy_forms_filters %}

{% block content %}

{% if form.errors %}
  <p class="text-white">Your username and password didn't match. Please try again.</p>
{% endif %}

<h1 class="text-white text-center font-weight-bold">Login</h1>

{% if next %}
  <p>Please login to see this page.</p>
{% endif %}

<div style="background-color: white;" class="table-border justify-content-center p-2">
  <form method="post" action="{% url 'login' %}">
    {% csrf_token %}
    {{ form|crispy }}
    <div class="container">
      <div class="row justify-content-center align-items-center">
        <input type="submit" value="Login" class="btn btn-primary" />
      </div>
    </div>

    <input type="hidden" name="next" value="{{ next }}" />
  </form>
</div>

{% endblock %}
